VM_PAGE_IO_START(9)

NAME
vm_page_io_start, vm_page_io_finish - ready or unready a page for I/O

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/vm_page.h>
void
vm_page_io_start(vm_page_t m);
void
vm_page_io_finish(vm_page_t m);

DESCRIPTION
The vm_page_io_start() function prepares the page for I/O by incrementing its busy flag by one.

The vm_page_io_finish() function lowers the busy count on the page by one, if the resulting busy count is zero, a wakeup(9) will be issued if the page has been marked VPO_WANTED. A page is typically marked VPO_WANTED by a thread to register its interest in the page to either complete I/O or becoming available for general use.

AUTHORS
-nosplit This manual page was written by Chad David <davidc@acns.ab.ca> and Alfred Perlstein <alfred@FreeBSD.org>.